Aller au contenu

AutoCAD LT 2007


228 sujets dans ce forum

    • 15 réponses
    • 41,4 k vues
  1. Création de macros

    • 8 réponses
    • 22,2 k vues
  2. image

    • 8 réponses
    • 10,6 k vues
  3. Extraction des cotés d\'un rectangle

    • 11 réponses
    • 11,3 k vues
  4. Ouverture / enregistrement

    • 4 réponses
    • 8 k vues
  5. Autocad 2007

    • 4 réponses
    • 8,4 k vues
    • 1 réponse
    • 7,9 k vues
  6. Bloc dynamique et métré

    • 13 réponses
    • 11 k vues
    • 8 réponses
    • 9,4 k vues
    • 8 réponses
    • 14,8 k vues
  7. Création de macro

    • 22 réponses
    • 15 k vues
  8. bloc autocad hvac

    • 2 réponses
    • 18,8 k vues
  9. DWF

    • 1 réponse
    • 7,4 k vues
  10. Plan d\'implantation

    • 4 réponses
    • 10,2 k vues
    • 12 réponses
    • 19,6 k vues
  11. Problème d\'extraction

    • 8 réponses
    • 9,9 k vues
  12. extraction d\'attributs

    • 5 réponses
    • 8,9 k vues
  13. Problème dans la macro

    • 7 réponses
    • 8,8 k vues
  14. Extraction de la longueur

    • 1 réponse
    • 7,4 k vues
  15. calque @

    • 1 réponse
    • 7,5 k vues
  16. Échelle d\'insertion

    • 6 réponses
    • 14,3 k vues
  17. inserion de points (bloc avec attribut ) avec sciptt

    • 3 réponses
    • 7,8 k vues
  18. fenètre polygonales

    • 5 réponses
    • 8,9 k vues
  19. Fenêtres de présentation non fiables

    • 3 réponses
    • 8 k vues
  20. Insertion d\'image

    • 12 réponses
    • 14,5 k vues


  • Statistiques des forums

    • Total des sujets
      47,2 k
    • Total des messages
      285,9 k
  • Sujets

  • Messages

    • Alors, Le fichier de gabarit c'est toi qui le créer justement en faisant une extraction de donnée. Donc la première fois, tu n'auras pas de fichier .dxe donc tu fais juste "Créer un fichier" et tu places ton nouveau fichier .dxe à un emplacement défini avec un nom défini. Les fois d'après, il te suffira de sélectionner ce fichier pour réaliser tes extractions de données Excel concernant les hachures 🙂 Ensuite, tu sélectionnes tes objets (je te suggère d'isoler tes objets HACHURE pour éviter de sélectionner autre chose, ou d'utiliser la commande 'FILTRE, avec l'apostrophe pour l'appeler en transparence) puis tu fais Suivant. Ensuite tu choisis le type d'objets que tu veux (donc si jamais tu n'as pas filtrer ta sélection, tu peux le faire à ce moment là) et ensuite tu définis les propriétés que tu désires. Donc pour toi, c'est le calque et la surface. Enfin, tu choisis le format de ton tableau, si tu veux grouper les objets identiques, etc... puis tu choisis d'extraire dans un fichier externe... Bref, utilise l'aide AutoCAD concernant cet outils !! Bisous, Luna
    • Bonjour @passi54 NON, pour l'extraction de données, c'est une commande qui demande les qualités des entités qu'on souhaite enregistrer. Il n'y a pas de gabarit, on répond à des questions posées via une case de dialogue. Je plussoie @Luna de favoriser les commandes natives quand c'est possible. Toutefois, cette demande de listing étant récurrente, je propose cette solution en lisp. Le nom de la commande à lancer en ligne de commande une fois le lisp chargé est "passi54" Il est possible de l'améliorer, mais a minima, il répond à la demande formulée. Amicalement (defun c:passi54 ( / aire calque ent fich lis n nom ss) (setq ss (ssget (list (cons 0 "HATCH")))) (setq lis nil) (repeat (setq n (sslength ss)) (setq ent (vlax-ename->vla-object(ssname ss (setq n (1- n))))) (setq aire (vlax-get-property ent 'area)) (setq calque (vlax-get-property ent 'layer)) (setq lis (cons (strcat calque ";" (rtos aire 2 2)) lis)) ) (setq Nom (strcat (getvar "dwgprefix") (getvar "dwgname"))) (setq Nom (substr Nom 1 (- (strlen Nom) 4))) (setq Nom (strcat Nom ".csv")) (setq fich (open Nom "w")) (write-line "Calque;Superficie" fich) (foreach x lis (write-line x fich) ) (close fich) (alert (strcat "Le fichier : " nom " a été créé et contient " (itoa (sslength ss)) " enregistrements." ) ) )  
    • Luna je ne connais pas l'extraction de données, j'ai vu qu'il fallait un fichier gabarit mais comment le créer ? 😋
    • Je maintiens mon idée concernant l'extraction de données honnêtement... Il est évidemment possible de faire cela par programmation, mais bon...Autant chercher l'existant et si chat n'existe pas, alors on passe par de la programmation >n< Bisous, Luna
    • Bonjour,   De mon côté, la fonction "listing d'étiquettes" de Covadis semble ne pas fonctionnait : aucun fichier qui ne s'ouvre ou s'enregistre à côté du fichier de base .... j'ai bien pourtant dans mon plan plusieurs entités COVADIS:Etiquettes Ensuite, je vais chercher la fonction pour importer cette liste et créer un calque par éléments, si ca existe par ici 🙂 Par avance merci  
  • Sujets

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité